package poids;

import java.awt.*;

public class GraphCanvas extends Canvas
{
    Dimension tailleImage;
    Image image;
	
    public GraphCanvas(int i, int j)
    {
        image = null;
        setSize(i, j);
        tailleImage = new Dimension(i, j);
    }

    public Dimension getPreferredSize()
    {
        return tailleImage;
    }

    public Dimension getMinimumSize()
    {
        return tailleImage;
    }

    public void paint(Graphics g)
    {
        Dimension dimension = getSize();
        int i = (dimension.width - tailleImage.width) / 2;
        int j = (dimension.height - tailleImage.height) / 2;
        if(image != null)
            g.drawImage(image, i, j, null);
        g.drawRect(i, j, tailleImage.width - 1, tailleImage.height - 1);
    }

    public void update(Graphics g)
    {
        paint(g);
    }

    public void updateImage(Image image1)
    {
        image = image1;
        repaint();
    }
}